[Ubuntu-BR] Virtualbox x Windows 311

Salles salles.web em gmail.com
Sexta Agosto 22 18:28:32 UTC 2008


Hehehehe... não foi, carregou tudo junto.

Primeiro, executei sudo apt-get remove --purge virtualbox*
(aparentemente com sucesso) e deletei a pasta ./Virtualbox.
Em seguida (2 tentativas) via terminal (sudo apt-get install
virtualbox-ose) como via synaptic ele encaixa os modulos junto.
Quando mando o m-a auto-install, lá estão os bichinhos conflitando.

Seria uma ação coerente (ou correta) eu tentar, após a instalação,
purgar os módules/sources e aplicar o m-a auto-install?

Salles (Nethell)


Em Sex, 2008-08-22 às 14:48 -0300, hamacker escreveu:
> Quando instalar o OSE, nao instale ose-modules, deixe que 'sudo m-a
> auto-install virtualbox-ose-source' faça esse trabalho.
> 
> []'s
> 
> 2008/8/22 Salles <salles.web em gmail.com>:
> > Prezado Hamacker,
> >
> > Desinstalei totalmente o vbox e sources, deletei a pasta e o vboxdrv e
> > retomei a instalação conforme o tuto até a criação do user. Nada feito,
> > mesmo após os complementos indicados, mesmo erro na leitura do driver
> > quando da iniciar a máquina criada (no teste usei o W98 com 64Mb e
> > espaço 2G expansível e cd montado).
> >
> > Segue o resultado da instalação dos módulos - em certo ponto informa
> > conflito mas, sinceramente, eu não soube resolver isto.
> >
> > $ sudo m-a auto-install virtualbox-ose-source
> > Informações sobre 1 pacotes atualizadas
> > Getting source for kernel version: 2.6.22-15-generic
> > Cabeçalhos de kernel disponíveis em /usr/src/linux
> > Criando ligação simbólica ...
> > Não foi possível criar a ligação simbólica /usr/src/linux !
> > apt-get install build-essential
> > Lendo lista de pacotes... Pronto
> > Construindo árvore de dependências
> > Reading state information... Pronto
> > build-essential já é a versão mais nova.
> > 0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e
> > 0 não atualizados.
> > Feito !
> > unpack
> > Extracting the package tarball, /usr/src/virtualbox-ose.tar.bz2, please
> > wait...
> > Arquivo de pacote alvo
> > /usr/src/virtualbox-ose-modules-2.6.22-15-generic_1.5.0-dfsg2-1ubuntu3
> > +2.6.22-1
> > 5.56_i386.deb já existe, não reconstruíndo !
> > (however, you could use the -f switch to ignore it)
> > dpkg
> > -Ei /usr/src/virtualbox-ose-modules-2.6.22-15-generic_1.5.0-dfsg2-1ubuntu3+2.6.22-15.56_i386.deb
> > dpkg:
> > sobre .../virtualbox-ose-modules-2.6.22-15-generic_1.5.0-dfsg2-1ubuntu3
> > +2.6.22-15.56_i386.deb contendo
> > virtualbox-ose-modules-2.6.22-15-generic:
> >  virtualbox-ose-modules-2.6.22-14-generic em conflito com
> > virtualbox-ose-modules
> >  virtualbox-ose-modules-2.6.22-15-generic oferece
> > virtualbox-ose-modules e está para ser instalado.
> > dpkg: erro
> > processando /usr/src/virtualbox-ose-modules-2.6.22-15-generic_1.5.0-dfsg2-1ubuntu3+2.6.22-15.56_i386.deb (--install):
> >  pacotes conflitantes - não instalando
> > virtualbox-ose-modules-2.6.22-15-generic
> > Erros foram encontrados durante processamento de:
> >  /usr/src/virtualbox-ose-modules-2.6.22-15-generic_1.5.0-dfsg2-1ubuntu3
> > +2.6.22-15.56_i386.deb
> > I: Instalação direta falhou, tentando fazer a pós-instalação das
> > dependências
> > apt-get -f install
> > Lendo lista de pacotes... Pronto
> > Construindo árvore de dependências
> > Reading state information... Pronto
> > 0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e
> > 0 não atualizados.
> >
> > ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::;
> >
> > Em Qui, 2008-08-21 às 22:25 -0300, hamacker escreveu:
> >> Essa pergunta parece um mantra aqui na lista, não passa um dia sequer
> >> sem que alguem poste a mesma pergunta :)
> >>
> >> O modulo(driver) do vbox é especifico para a versao de kernel que voce
> >> tinha, agora que voce atualizou-o ele nao serve, tá criado o
> >> descompasso entre a versao do kernel e a versao do modulo ose. Ajustar
> >> é simples :
> >>
> >> sudo m-a auto-install virtualbox-ose-source
> >>
> >> Isso baixa o sources do modulo, compila e instala-o especificamente
> >> para o kernel que voce tá usando. Tenho esse artigo qure fala a
> >> respeito :
> >> http://hamacker.wordpress.com/2008/04/30/virtualbox-no-ubuntu-804/
> >>
> >> se voce procurar por "virtualbox ose" no meu blog encontrará outros artigos.
> >>
> >> []'s e sucesso.
> >>
> >> 2008/8/21 Salles <salles.web em gmail.com>:
> >> > Manos,
> >> >
> >> > Antes de partir para a máquina de origem, resolvi fazer um teste na
> >> > minha máquina (7.10) com o VirtualBox (para não pagar mico à toa).
> >> >
> >> > Procedi a instalação do vb-ose 1.5, módulo genérico e source (via
> >> > synaptic). Abri o VB, criei uma nova mv para W98, disco virtual, montei
> >> > cd para a mídia de instalação, etc., tudo blz.
> >> > Porém... ao iniciar a mv, após a tela informativa de captura de teclado
> >> > e mouse, aparece o splash com este erro:
> >> >
> >> > VirtualBox kernel driver not installed. The vboxdrv kernel module was
> >> > either not loaded or /dev/vboxdrv was not created for some reason.
> >> > Please install the virtualbox-ose-modules package for your kernel and
> >> > execute '/etc/init.d/vboxdrv start' as root.
> >> > VBox status code: -1908 (VERR_VM_DRIVER_NOT_INSTALLED).
> >> > Código de Resultado: 0x80004005
> >> > Componente: Console
> >> > Interface: IConsole {1dea5c4b-0753-4193-b909-22330f64ec45}
> >> >
> >> > ao executar sudo /etc/init.d/vboxdrv start recebo a mensagem:
> >> > * Starting VirtualBox kernel module vboxdrv
> >> > FATAL: Module vboxdrv not found.
> >> > * Modprobe vboxdrv failed. Please use 'dmesg' to find out why.
> >> >
> >> > (Não postei o resultado deste último porque era um jornal imenso)
> >> >
> >> > Algum erro cometido ou tem alguma dependência adicional?
> >> >
> >> > Salles (Nethell)
> >> >
> >> >
> >> >
> >> > Em Ter, 2008-08-19 às 16:26 -0300, Joao Santana escreveu:
> >> >> Em Ter, 2008-08-19 às 16:23 -0300, Salles escreveu:
> >> >> > Pessoal,
> >> >>
> >> >> Manda.
> >> >>
> >> >> >
> >> >> > Meio jurássico, mas seria possível rodar um W 3.11 e instalar um
> >> >> > aplicativo específico por meio de disquetes no Virtualbox sob o Ubuntu
> >> >> > 7.04 ou no máximo 7.10?
> >> >>
> >> >> Eu fiz isso para instalar uma distribuição de LaTeX 2.09, a emTeX, sem
> >> >> problemas, tanto com imagens de disquetes quanto com discos físicos.
> >> >>
> >> >> > Seria um teste específico que já fiz no Wine e não rolou, talvez pela
> >> >> > "idade" da máquina em questão.
> >> >>
> >> >> Experimente então.
> >> >>
> >> >> >
> >> >> > Salles (Nethell)
> >> >> >
> >> >> >
> >> >> --
> >> >> Joao Santana <joao.abo.santana em gmail.com>
> >> >>
> >> >>
> >> >
> >> >
> >> > --
> >> > Interessado em aprender mais sobre o Ubuntu em português?
> >> > http://wiki.ubuntu-br.org/ComeceAqui  -
> >> > ubuntu-br mailing list
> >> > ubuntu-br em lists.ubuntu.com
> >> > https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
> >> >
> >>
> >
> >
> > --
> > Interessado em aprender mais sobre o Ubuntu em português?
> > http://wiki.ubuntu-br.org/ComeceAqui  -
> > ubuntu-br mailing list
> > ubuntu-br em lists.ubuntu.com
> > https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
> >
> 





More information about the ubuntu-br mailing list